"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProcessColorFunc = void 0;
const util_1 = require("../../client/util");
const create_1 = require("./create");
function createProcessColorFunc() {
    const processFunctionList = [];
    util_1.COLOR_FUNC_NAME_LIST.forEach((funcName) => {
        const [coverFunc, injectFunc] = (0, create_1.createColorFunction)(funcName);
        processFunctionList.push({
            funcName,
            decls: [coverFunc],
            atRules: [coverFunc],
            formatResult: injectFunc,
        });
    });
    return processFunctionList;
}
exports.createProcessColorFunc = createProcessColorFunc;
