"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveLibrary = exports.resolveLibraryList = void 0;
function resolveLibraryList(libraryList = []) {
    const ret = libraryList
        .map((library) => {
        return resolveLibrary(library);
    })
        .filter(Boolean);
    return ret;
}
exports.resolveLibraryList = resolveLibraryList;
function resolveLibrary({ absolute, absolutePath, name }) {
    if (absolute) {
        if (!absolutePath) {
            throw 'When `absolute = true`, absolutePath cannot be empty.';
        }
        return buildEntry(absolutePath, name);
    }
    try {
        const libEntry = require.resolve(name);
        return buildEntry(libEntry, name);
    }
    catch (error) {
        console.log(error);
        return null;
    }
}
exports.resolveLibrary = resolveLibrary;
function buildEntry(libEntry, libName) {
    const lastIndex = libEntry.lastIndexOf(libName) + libName.length;
    libEntry = libEntry.substring(0, lastIndex);
    return libEntry;
}
